Create task
Create a task. Plan manager scope from X-Plan-Manager-Id header. Title is required. Set participant to attach the task to a participant. created_by is optional and cannot be changed after create.
Authentication
AuthorizationBearer
API key issued for your account. Send as Bearer token in the Authorization header.
X-Plan-Manager-Idstring
Plan manager UUID. Required on all public API requests to scope data access.
Request
This endpoint expects an object.
title
Task title
description
Task description / body
assignee
User id of the assignee. Use GET /account-managers to look up staff.
due_date
priority
Allowed values:
participant
project
Associated Caresquare project id
created_by
User id of the creator. Immutable after create.
Response
Task created
id
Task id (bigint as string)
created_at
title
description
assignee
due_date
priority
Priority: low, medium, or high
plan_manager
done
participant
project
Associated Caresquare project id (bigint as string)
date_completed
seen
created_by
User id of the creator (immutable)
Errors
400
Bad Request Error
403
Forbidden Error
500
Internal Server Error

